# WSO2 Microservices Framework for Java (MSF4J) Samples

This directory contain a comprehensive suite of samples demonstrating the capabilities of WSO2 MSF4J.

# Requirements
* JDK 1.8.*
* Maven 3.0.x

#Samples
* [Hello World](helloworld) - Running a Basic Microservice
* [StockQuote (Fat jar)](stockquote/stockquote-fatjar) - Developing a Microservice as a single jar which packs all the dependencies
* [StockQuote (OSGi bundle)](stockquote/stockquote-bundle) - Creating a Microservice as an OSGi Bundle
* [Metrics and HTTP Monitoring Fat jar](metrics-httpmon/metrics-httpmon-fatjar) / [OSGi bundle](metrics-httpmon/metrics-httpmon-bundle) - Using Metrics and HTTP Monitoring Interceptors
* [File Server](fileserver) - Handling Files
* [Lifecycle](lifecycle) - Using Service Lifecycle Methods
* [Log-interceptor](log-interceptor-bundle) - Creating an Interceptor as an OSGi Bundle
* [Security](security) - Securing Microservices
* [Template](template) - Rendering a Model from a Template
* [Pet-store](petstore) - Running as an MSA Application

